Subject: bug#25755: problem of "tail -F max-unchanged-stats "

From: Pádraig Brady <[email-masked]>
Date: Thu, 16 Feb 2017 22:19:44 -0800

tag 25755 notabug
close 25755
stop

On 16/02/17 00:18, chuyifan wrote:
> Hi:
> 
> I found a problem of tail -F in centos 6.7. The kernel version is
> 2.6.32-642.3.1.el6. I execute "tail -f --follow=name
> --max-unchanged-stats=50 --sleep-interval=1 ./t" in a terminal and execute
> echo command to append some content to file t. then I execute "mv t t1", the
> "tail -f " show error message of "no such file t" immediately.
> 
> The parameter of "--max-unchanged-stats" seems to have no effect. But in
> centos 5.6, things is different. The parameter of "--max-unchanged-stats"
> take effect. So I want to know the reason. Thank you. 

Hi,

Since the inotify implementation, --max-unchanged-stats is ineffective,
and this is indicated in the man page in the description of that option.

thanks,
Pádraig